<div class="card ">
    <li *ngIf="pokemon" class=" bg-white pl-10 my-4 shadow-2xl shadow-yellow-300 rounded relative border-2 border-cyan-700 pt-6">
        <app-catch-button [pokemonId]="pokemon.id"></app-catch-button>
    
        <section class="p-4">
            
            <span class="poketitle block text-xs " >{{ pokemon.name }} </span>
        </section>
    
        <section class="p-4 ">
            <img src={{getPokemonUrl()}} class="block h-full  " alt="" />
        </section>
    </li>
    </div>